Plugin.BLE只适用于低功耗蓝牙吗?

deyangwangyu 2024-07-05 23:51:02

VS2022+MAUI开发安卓app,使用Plugin.BLE连接蓝牙设备。但是只能扫描出低功耗蓝牙设备,比如手环,而不能扫描出正常的蓝牙手机和蓝牙模块(HC-06)。
使用plugin.ble的注意事项我都注意到了,比如加入各种权限,而且我没有加入这一句'uses-feature android:name="android.hardware.bluetooth_le" android:required="true" ' 在AndroidManifest.xml。被扫描的蓝牙手机等设备我确信是正常的,因为用其他手机都能扫描到,就是使用plugin.ble的app扫描不到。

所以想问下使用过的朋友,这个只能适用于低功耗蓝牙设备吗?如果是,那么在MAUI中怎么做经典蓝牙的安卓开发呢?

...全文
186 回复 打赏 收藏 转发到动态 举报
写回复
用AI写文章
回复
切换为时间正序
请发表友善的回复…
发表回复

80,392

社区成员

发帖
与我相关
我的任务
社区描述
移动平台 Android
androidandroid-studioandroidx 技术论坛(原bbs)
社区管理员
  • Android
  • yechaoa
  • 失落夏天
加入社区
  • 近7日
  • 近30日
  • 至今
社区公告
暂无公告

试试用AI创作助手写篇文章吧